RDKit: RDKit::FingerprintFuncArguments Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::FingerprintFuncArguments Struct Reference

struct that makes calling the fingerprint generation functions easier More...

`#include <FingerprintGenerator.h>`

## Public Member Functions
| FingerprintFuncArguments ()=default
| FingerprintFuncArguments (const std::vector< std::uint32_t > *fromAtoms_arg, const std::vector< std::uint32_t > *ignoreAtoms_arg, int confId_arg, AdditionalOutput *additionalOutput_arg, const std::vector< std::uint32_t > *customAtomInvariants_arg, const std::vector< std::uint32_t > *customBondInvariants_arg)

## Public Attributes
const std::vector< std::uint32_t > * | fromAtoms = nullptr
const std::vector< std::uint32_t > * | ignoreAtoms = nullptr
int | confId = -1
AdditionalOutput * | additionalOutput = nullptr
const std::vector< std::uint32_t > * | customAtomInvariants = nullptr
const std::vector< std::uint32_t > * | customBondInvariants = nullptr

## Detailed Description

struct that makes calling the fingerprint generation functions easier

FingerprintFuncArguments doesn't own any of the pointers it stores.

Definition at line 292 of file FingerprintGenerator.h.

## Constructor & Destructor Documentation

## ◆ FingerprintFuncArguments() [1/2]

RDKit::FingerprintFuncArguments::FingerprintFuncArguments | ( |  | ) |
| default

## ◆ FingerprintFuncArguments() [2/2]

RDKit::FingerprintFuncArguments::FingerprintFuncArguments | ( | const std::vector< std::uint32_t > * | fromAtoms_arg,
|  | const std::vector< std::uint32_t > * | ignoreAtoms_arg,
|  | int | confId_arg,
|  | AdditionalOutput * | additionalOutput_arg,
|  | const std::vector< std::uint32_t > * | customAtomInvariants_arg,
|  | const std::vector< std::uint32_t > * | customBondInvariants_arg )
| inline

Definition at line 300 of file FingerprintGenerator.h.

References additionalOutput, confId, customAtomInvariants, customBondInvariants, fromAtoms, and ignoreAtoms.

## Member Data Documentation

## ◆ additionalOutput

AdditionalOutput* RDKit::FingerprintFuncArguments::additionalOutput = nullptr

Definition at line 296 of file FingerprintGenerator.h.

Referenced by FingerprintFuncArguments().

## ◆ confId

int RDKit::FingerprintFuncArguments::confId = -1

Definition at line 295 of file FingerprintGenerator.h.

Referenced by FingerprintFuncArguments().

## ◆ customAtomInvariants

const std::vector<std::uint32_t>* RDKit::FingerprintFuncArguments::customAtomInvariants = nullptr

Definition at line 297 of file FingerprintGenerator.h.

Referenced by FingerprintFuncArguments().

## ◆ customBondInvariants

const std::vector<std::uint32_t>* RDKit::FingerprintFuncArguments::customBondInvariants = nullptr

Definition at line 298 of file FingerprintGenerator.h.

Referenced by FingerprintFuncArguments().

## ◆ fromAtoms

const std::vector<std::uint32_t>* RDKit::FingerprintFuncArguments::fromAtoms = nullptr

Definition at line 293 of file FingerprintGenerator.h.

Referenced by FingerprintFuncArguments().

## ◆ ignoreAtoms

const std::vector<std::uint32_t>* RDKit::FingerprintFuncArguments::ignoreAtoms = nullptr

Definition at line 294 of file FingerprintGenerator.h.

Referenced by FingerprintFuncArguments().

The documentation for this struct was generated from the following file:

- FingerprintGenerator.h